Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.provider.xmi
Class XMIViewModelProvider

    java.lang.Object
      org.eclipse.emf.ecp.view.model.provider.xmi.XMIViewModelProvider

All Implemented Interfaces:
  IViewProvider

    public abstract class XMIViewModelProvider

extends Object
implements IViewProvider

Abstract class to implement a view provider reading the view model from an xmi file.

Author:
  Jonas Helming

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.spi.provider.IViewProvider
`NOT_APPLICABLE`

Constructor Summary
`XMIViewModelProvider()`

Method Summary
`VView` | `generate(org.eclipse.emf.ecore.EObject eObject, Map<String,Object> context)` This method is only called if `IViewProvider.canRender(EObject, Map)` returned the highest positive number of all `IViewProviders`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.provider.IViewProvider
`canRender`

Constructor Detail

### XMIViewModelProvider

    public XMIViewModelProvider()

Method Detail

### generate

    public VView generate(org.eclipse.emf.ecore.EObject eObject,
                          Map<String,Object> context)

  This method is only called if `IViewProvider.canRender(EObject, Map)` returned the highest positive number of all `IViewProviders`. It must then return a `VView` to the `EObject`.

  Specified by:
    `generate` in interface `IViewProvider`
  Parameters:
    `eObject` - the `EObject` to generate the `VView` for
    `context` - a key-value-map from String to Object
  Returns:
    the generated `VView`
  See Also:
    `IViewProvider.generate(EObject, Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.